# IRremoteESP8266: src/ir_Electra.h File Reference

ir_Electra.h File Reference

Support for Electra A/C protocols. More...

Go to the source code of this file.

## Classes

union | ElectraProtocol
| Native representation of a Electra A/C message. More...
class | IRElectraAc
| Class for handling detailed Electra A/C messages. More...

## Variables

const uint8_t | kElectraAcMinTemp = 16
const uint8_t | kElectraAcMaxTemp = 32
const uint8_t | kElectraAcTempDelta = 8
const uint8_t | kElectraAcSwingOn = 0b000
const uint8_t | kElectraAcSwingOff = 0b111
const uint8_t | kElectraAcFanAuto = 0b101
const uint8_t | kElectraAcFanLow = 0b011
const uint8_t | kElectraAcFanMed = 0b010
const uint8_t | kElectraAcFanHigh = 0b001
const uint8_t | kElectraAcAuto = 0b000
const uint8_t | kElectraAcCool = 0b001
const uint8_t | kElectraAcDry = 0b010
const uint8_t | kElectraAcHeat = 0b100
const uint8_t | kElectraAcFan = 0b110
const uint8_t | kElectraAcLightToggleOn = 0x15
const uint8_t | kElectraAcLightToggleMask = 0x11
const uint8_t | kElectraAcLightToggleOff = 0x08

## Detailed Description

Support for Electra A/C protocols.

See also
  https://github.com/ToniA/arduino-heatpumpir/blob/master/AUXHeatpumpIR.cpp

## Variable Documentation

## kElectraAcAuto

const uint8_t kElectraAcAuto = 0b000

## kElectraAcCool

const uint8_t kElectraAcCool = 0b001

## kElectraAcDry

const uint8_t kElectraAcDry = 0b010

## kElectraAcFan

const uint8_t kElectraAcFan = 0b110

## kElectraAcFanAuto

const uint8_t kElectraAcFanAuto = 0b101

## kElectraAcFanHigh

const uint8_t kElectraAcFanHigh = 0b001

## kElectraAcFanLow

const uint8_t kElectraAcFanLow = 0b011

## kElectraAcFanMed

const uint8_t kElectraAcFanMed = 0b010

## kElectraAcHeat

const uint8_t kElectraAcHeat = 0b100

## kElectraAcLightToggleMask

const uint8_t kElectraAcLightToggleMask = 0x11

## kElectraAcLightToggleOff

const uint8_t kElectraAcLightToggleOff = 0x08

## kElectraAcLightToggleOn

const uint8_t kElectraAcLightToggleOn = 0x15

## kElectraAcMaxTemp

const uint8_t kElectraAcMaxTemp = 32

## kElectraAcMinTemp

const uint8_t kElectraAcMinTemp = 16

## kElectraAcSwingOff

const uint8_t kElectraAcSwingOff = 0b111

## kElectraAcSwingOn

const uint8_t kElectraAcSwingOn = 0b000

## kElectraAcTempDelta

const uint8_t kElectraAcTempDelta = 8